#pragma once

#include <SDL2/SDL.h>

#include "../COMMON.h"

typedef SDL_FRect Rectangle;

bool rectangle_collide(Rectangle* a, Rectangle* b);
bool rectangle_collide_intersection(Rectangle* a, Rectangle* b, Rectangle* intersection);
bool rectangle_has_point(Rectangle* self, vec2 point);
